/*
 * Estado.java
 *
 * Creado el 9 de mayo de 2006, 15:29
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mhpsc.sistema.ejemplo;

/**
 *
 * @author avelino
 */
public class Estado {
    // salida
    private float velocidad;
    private float posicion;
    // entrada
    private float masa;
    private float fuerza;
    
    public Estado() {
        this.velocidad = 0;
        this.posicion = 0;
    }

    public float getVelocidad() {
        return this.velocidad;
    }

    public void setVelocidad(float velocidad) {
        this.velocidad = velocidad;
    }

    public float getPosicion() {
        return this.posicion;
    }

    public void setPosicion(float posicion) {
        this.posicion = posicion;
    }

    public float getMasa() {
        return this.masa;
    }

    public void setMasa(float masa) {
        this.masa = masa;
    }

    public float getFuerza() {
        return this.fuerza;
    }

    public void setFuerza(float fuerza) {
        this.fuerza = fuerza;
    }
    
    public String toString() {
        return "f=" + this.fuerza + ", p=" + this.posicion + ", v=" + this.velocidad;
    }
}
